#ifndef BISON_CEXP_TAB_H
# define BISON_CEXP_TAB_H

#ifndef YYSTYPE
typedef union {
	CexpTypedValRec				val;
	CexpTypedAddrRec			lval;
	CexpTypedAddr				varp;
	CexpSym						sym;	/* a symbol table entry */
	CexpType					typ;
	CexpBinOp					binop;
	char						*lstr;	/* string in the line string table */
	struct			{
		CexpTypedAddrRec	lval;
		CexpBinOp			op;
	}							fixexp;
	struct			{
		CexpSym				sym;
		char				*mname;		/* string kept in the line string table */
	}							method;
	unsigned long				ul;
} yystype;
# define YYSTYPE yystype
# define YYSTYPE_IS_TRIVIAL 1
#endif
# define	NUMBER	257
# define	STR_CONST	258
# define	FUNC	259
# define	VAR	260
# define	UVAR	261
# define	IDENT	262
# define	KW_CHAR	263
# define	KW_SHORT	264
# define	KW_LONG	265
# define	KW_DOUBLE	266
# define	MODOP	267
# define	NONE	268
# define	OR	269
# define	AND	270
# define	EQ	271
# define	NE	272
# define	LE	273
# define	GE	274
# define	SHL	275
# define	SHR	276
# define	CAST	277
# define	VARCAST	278
# define	DEREF	279
# define	ADDR	280
# define	PREFIX	281
# define	MM	282
# define	PP	283
# define	NEG	284
# define	CALL	285


#endif /* not BISON_CEXP_TAB_H */
